Package com.trilead.ssh2.crypto

# Class PEMDecoder

java.lang.Object
com.trilead.ssh2.crypto.PEMDecoder

public class PEMDecoder extends Object
PEM Support.

## Constructor Summary

Constructors
Constructor
Description
`PEMDecoder()`

## Method Summary

Modifier and Type
Method
Description
`static Object`
`decode(char[] pem, String password)`
`static final boolean`
`isPEMEncrypted(PEMStructure ps)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PEMDecoder

public PEMDecoder()

## Method Details

### isPEMEncrypted

public static final boolean isPEMEncrypted(PEMStructure ps) throws IOException

Throws:
  `IOException`

### decode

public static Object decode(char[] pem, String password) throws IOException

Throws:
  `IOException`